package com.gx.obe.component.form;

import java.util.function.Function;

public interface IForm<T> {
	
	void addNull();
	
	void add(String title, Function<T, String> getValueFun);
	
	void addLong(String title, Function<T, String> getValueFun);
	
	void addBig(String title, Function<T, String> getValueFun, int height);
	
	default void addBig(String title, Function<T, String> getValueFun) {
		addBig(title, getValueFun, 95);
	}
	
}