package com.gx.obe.component.tree;

/**
 * @Description: 树
 * @author chenxw
 */
class Tree<T extends ITree<T>> {
	
	/**
	 * @Description: 层数
	 */
	private int level;
	/**
	 * @Description: 父节点
	 */
	private Tree<T> parent;
	/**
	 * @Description: 值
	 */
	private T value;
	
	public int getLevel() {
		return level;
	}
	
	public void setLevel(int level) {
		this.level = level;
	}
	
	public Tree<T> getParent() {
		return parent;
	}
	
	public void setParent(Tree<T> parent) {
		this.parent = parent;
	}
	
	public T getValue() {
		return value;
	}
	
	public void setValue(T value) {
		this.value = value;
	}
	
}